* {
  box-sizing: border-box;
}

body {
  margin: 0;
  background: #224941 url("./img/bg.jpg") no-repeat center center/cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  height: 300px;
  width: 300px;
  position: relative;
  transform: scale(1);
}

.circle {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: black;
  z-index: -1;
  top: 0;
  left: 0;
}

.gradient-circle {
  background: conic-gradient(#55b7a4 0%, #4ca493 40%, #fff 40%, #fff 60%, #336d62 60%, #2a5b52 100%);
  position: absolute;
  width: 320px;
  height: 320px;
  z-index: -2;
  border-radius: 50%;
  top: -10px;
  left: -10px;
}

.text {
  font-size: 20px;
  color: white;
  margin: 0;
}

.point-container {
  position: absolute;
  width: 20px;
  height: 190px;
  top: -40px;
  left: 140px;
  animation: rotate 7.5s linear infinite;
  transform-origin: bottom center;
}
/*회전을 위한 transform-origin: 맨 아래의 가운데를 기준으로 돔*/
/*막대기가 긴 직사각형이므로*/

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.point {
  background-color: white;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  display: block;
}

.container.grow {
  animation: grow 3s linear forwards;
}

@keyframes grow {
  from {
    transform: scale(1);
  }

  to {
    transform: scale(1.2);
  }
}

.container.shrink {
  animation: shrink 3s linear forwards;
}
@keyframes shrink {
  from {
    transform: scale(1.2);
  }

  to {
    transform: scale(1);
  }
}
